//////////////////////////////////////////////////////////////////////////////////////////
//	FPS_COUNTER.cpp
//	functions to calculate frames per second
//	You may use this code however you wish, but if you do, please credit me and
//	provide a link to my website in a readme file or similar
//	Downloaded from: www.paulsprojects.net
//	Created:	20th July 2002
//////////////////////////////////////////////////////////////////////////////////////////	
#include <windows.h>
#include "LOG.h"
#include "FPS_COUNTER.h"

extern LOG errorLog;

void FPS_COUNTER::Update(void)
{
	//keep track of time lapse and frame count
	time = timeGetTime()*0.001f;							//get current time in seconds
	++frames;												//increase frame count
		
	if(time-lastTime>1.0f)									//if it has been 1 second
	{
		fps		= frames/(time-lastTime);					//update fps number
		lastTime= time;										//set beginning count
		frames	= 0L;										//reset frames this second
	}
}
